package com.hfkj.model;

import com.hfkj.entity.*;
import com.hfkj.service.BsStoreService;

import java.util.List;

/**
 * 
 * @ClassName:  UserInfoModel   
 * @Description:TODO(用户信息模型)   
 * @author: 胡锐 
 * @date:   2019年5月6日 上午11:06:17   
 *     
 * @Copyright: 2019 www.shinwoten.com Inc. All rights reserved.
 */
public class UserInfoModel {

	// 用户基本信息
	private SecUser secUser;
	// 用户部门信息
	private BsOrganization bsOrganization;
	// 用户角色
	private SecRole secRole;
	// 公司
	private BsCompany bsCompany;
	// 权限列表
	private List<SecPermission> permissionList;
	// 菜单权限列表
	private List<MenuTreeModel> menuList;
	// 按钮权限列表
	private List<SecPermission> buttonList;

	// 代理商信息
	private BsAgent agent;

	// 业务员信息
	private BsSalesman salesman;

	// 商户
	private BsMer mer;

	// 门店
	private BsStore store;

	private String token;

	public BsSalesman getSalesman() {
		return salesman;
	}

	public void setSalesman(BsSalesman salesman) {
		this.salesman = salesman;
	}

	public SecUser getSecUser() {
		return secUser;
	}

	public void setSecUser(SecUser secUser) {
		this.secUser = secUser;
	}

	public BsOrganization getBsOrganization() {
		return bsOrganization;
	}

	public void setBsOrganization(BsOrganization bsOrganization) {
		this.bsOrganization = bsOrganization;
	}

	public SecRole getSecRole() {
		return secRole;
	}

	public void setSecRole(SecRole secRole) {
		this.secRole = secRole;
	}

	public BsCompany getBsCompany() {
		return bsCompany;
	}

	public void setBsCompany(BsCompany bsCompany) {
		this.bsCompany = bsCompany;
	}

	public List<SecPermission> getPermissionList() {
		return permissionList;
	}

	public void setPermissionList(List<SecPermission> permissionList) {
		this.permissionList = permissionList;
	}

	public List<MenuTreeModel> getMenuList() {
		return menuList;
	}

	public void setMenuList(List<MenuTreeModel> menuList) {
		this.menuList = menuList;
	}

	public List<SecPermission> getButtonList() {
		return buttonList;
	}

	public void setButtonList(List<SecPermission> buttonList) {
		this.buttonList = buttonList;
	}

	public BsAgent getAgent() {
		return agent;
	}

	public void setAgent(BsAgent agent) {
		this.agent = agent;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public BsMer getMer() {
		return mer;
	}

	public void setMer(BsMer mer) {
		this.mer = mer;
	}

	public BsStore getStore() {
		return store;
	}

	public void setStore(BsStore store) {
		this.store = store;
	}
}
